org.apache.mina.transport.socket

## Class AbstractDatagramSessionConfig

- java.lang.Object
- - org.apache.mina.core.session.AbstractIoSessionConfig
  - - org.apache.mina.transport.socket.AbstractDatagramSessionConfig

- All Implemented Interfaces:
    IoSessionConfig, DatagramSessionConfig
  Direct Known Subclasses:
    DefaultDatagramSessionConfig

      public abstract class AbstractDatagramSessionConfig
      extends AbstractIoSessionConfig
      implements DatagramSessionConfig

  TODO Add documentation
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractDatagramSessionConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doSetAll(IoSessionConfig config)` Implement this method to set all transport-specific configuration properties retrieved from the specified `config`.
    `protected boolean` | `isBroadcastChanged()` Returns `true` if and only if the `broadcast` property has been changed by its setter method.
    `boolean` | `isCloseOnPortUnreachable()` If method returns true, it means session should be closed when a `PortUnreachableException` occurs.
    `protected boolean` | `isReceiveBufferSizeChanged()` Returns `true` if and only if the `receiveBufferSize` property has been changed by its setter method.
    `protected boolean` | `isReuseAddressChanged()` Returns `true` if and only if the `reuseAddress` property has been changed by its setter method.
    `protected boolean` | `isSendBufferSizeChanged()` Returns `true` if and only if the `sendBufferSize` property has been changed by its setter method.
    `protected boolean` | `isTrafficClassChanged()` Returns `true` if and only if the `trafficClass` property has been changed by its setter method.
    `void` | `setCloseOnPortUnreachable(boolean closeOnPortUnreachable)` Sets if the session should be closed if an `PortUnreachableException` occurs.

    - ### Methods inherited from class org.apache.mina.core.session.AbstractIoSessionConfig

      `getBothIdleTime, getBothIdleTimeInMillis, getIdleTime, getIdleTimeInMillis, getMaxReadBufferSize, getMinReadBufferSize, getReadBufferSize, getReaderIdleTime, getReaderIdleTimeInMillis, getThroughputCalculationInterval, getThroughputCalculationIntervalInMillis, getWriterIdleTime, getWriterIdleTimeInMillis, getWriteTimeout, getWriteTimeoutInMillis, isUseReadOperation, setAll, setBothIdleTime, setIdleTime, setMaxReadBufferSize, setMinReadBufferSize, setReadBufferSize, setReaderIdleTime, setThroughputCalculationInterval, setUseReadOperation, setWriterIdleTime, setWriteTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.mina.transport.socket.DatagramSessionConfig

      `getReceiveBufferSize, getSendBufferSize, getTrafficClass, isBroadcast, isReuseAddress, setBroadcast, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setTrafficClass`

    - ### Methods inherited from interface org.apache.mina.core.session.IoSessionConfig

      `getBothIdleTime, getBothIdleTimeInMillis, getIdleTime, getIdleTimeInMillis, getMaxReadBufferSize, getMinReadBufferSize, getReadBufferSize, getReaderIdleTime, getReaderIdleTimeInMillis, getThroughputCalculationInterval, getThroughputCalculationIntervalInMillis, getWriterIdleTime, getWriterIdleTimeInMillis, getWriteTimeout, getWriteTimeoutInMillis, isUseReadOperation, setAll, setBothIdleTime, setIdleTime, setMaxReadBufferSize, setMinReadBufferSize, setReadBufferSize, setReaderIdleTime, setThroughputCalculationInterval, setUseReadOperation, setWriterIdleTime, setWriteTimeout`

- - ### Constructor Detail

    - #### AbstractDatagramSessionConfig

          protected AbstractDatagramSessionConfig()

  - ### Method Detail

    - #### doSetAll

          protected void doSetAll(IoSessionConfig config)

      Description copied from class: `AbstractIoSessionConfig`
      Implement this method to set all transport-specific configuration properties retrieved from the specified `config`.
      Specified by:
        `doSetAll` in class `AbstractIoSessionConfig`

    - #### isBroadcastChanged

          protected boolean isBroadcastChanged()

      Returns `true` if and only if the `broadcast` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.

    - #### isReceiveBufferSizeChanged

          protected boolean isReceiveBufferSizeChanged()

      Returns `true` if and only if the `receiveBufferSize` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.

    - #### isReuseAddressChanged

          protected boolean isReuseAddressChanged()

      Returns `true` if and only if the `reuseAddress` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.

    - #### isSendBufferSizeChanged

          protected boolean isSendBufferSizeChanged()

      Returns `true` if and only if the `sendBufferSize` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.

    - #### isTrafficClassChanged

          protected boolean isTrafficClassChanged()

      Returns `true` if and only if the `trafficClass` property has been changed by its setter method. The system call related with the property is made only when this method returns `true`. By default, this method always returns `true` to simplify implementation of subclasses, but overriding the default behavior is always encouraged.

    - #### isCloseOnPortUnreachable

          public boolean isCloseOnPortUnreachable()

      If method returns true, it means session should be closed when a `PortUnreachableException` occurs.
      Specified by:
        `isCloseOnPortUnreachable` in interface `DatagramSessionConfig`

    - #### setCloseOnPortUnreachable

          public void setCloseOnPortUnreachable(boolean closeOnPortUnreachable)

      Sets if the session should be closed if an `PortUnreachableException` occurs.
      Specified by:
        `setCloseOnPortUnreachable` in interface `DatagramSessionConfig`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.